<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:dubbo="http://code.alibabatech.com/schema/dubbo"
       xmlns:apollo="http://www.ctrip.com/schema/apollo"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
       http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
       http://code.alibabatech.com/schema/dubbo http://code.alibabatech.com/schema/dubbo/dubbo.xsd
       http://www.ctrip.com/schema/apollo
	   http://www.ctrip.com/schema/apollo.xsd">

    <!--<context:property-placeholder location="classpath:jdbc.properties" ignore-unresolvable="true"/>-->
    <apollo:config namespaces="COMMON.dubbo, COMMON.jdbc"/>
    <dubbo:monitor protocol="registry"/>
    <dubbo:registry address="${zookeeper_host}" protocol="dubbo" id="remoteAddress" timeout="20000"
                    register="${shall_register:true}"
                    file="dubbo/remote/${dubbo.registry.file}/dubbo.cache"
                    default="true"/>
    <dubbo:registry address="zookeeper://localhost:2181" protocol="dubbo" id="localAddress" timeout="10000"
                    file="dubbo/local/${dubbo.registry.file}/dubbo.cache" default="false"/>
    <!--<dubbo:registry address="zookeeper://123.207.187.158:2199" protocol="dubbo" id="remoteAddress" timeout="20000" file="${catalina.home}/dubbo/${dubbo.registry.file}/dubbo.cache"/>-->

    <dubbo:provider timeout="10000" retries="0" registry="${registry:remoteAddress}" threads="${jdbc.maxsize}"
                    queues="10000"
                    dispather="maintenance"/>

    <dubbo:consumer timeout="10000" retries="0" check="false" registry="${registry:remoteAddress}"/>

</beans>